#include <fstream>
using namespace std;



struct nod {
    int info;
    nod* urm;
};

void CitesteLista(nod* &prim, nod* &ultim);
void AdaugaSfarsit(nod* &prim, nod* &ultim, int val);
void ScrieLista(nod* prim, ofstream& fout);

int main()
{
    nod *prim = nullptr,
        *ultim = nullptr;

    CitesteLista(prim, ultim);
    ofstream fout("lista.out");
    ScrieLista(prim, fout);
}

void CitesteLista(nod* &prim, nod* &ultim)
{
    ifstream fin("lista.in");
    int val;
    while (fin >> val)
        AdaugaSfarsit(prim, ultim, val);
}

void AdaugaSfarsit(nod* &prim, nod* &ultim, int val)
{
    if (prim == nullptr) /// daca lista e vida
    {
        prim = new nod;
        prim->info = val;
        prim->urm = nullptr;
        ultim = prim;
    }
    else
    {
        nod* p = new nod;
        p->info = val;
        p->urm = nullptr;
        ultim->urm = p;
        ultim = p;
    }
}

void ScrieLista(nod* prim, ofstream& fout)
{
    if (prim == nullptr)
        fout << "Lista vida!\n";
    else
    {
        for (nod* p = prim; p; p = p->urm)
            fout << p->info << ' ';
        fout << '\n';
    }
}
